package cn.newfeifan.mall.module.distri.controller.admin.consumptionerrorlog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 消费分异动日志记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ConsumptionErrorLogRespVO {

    @Schema(description = "异动日志编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "18676")
    @ExcelProperty("异动日志编号")
    private Long id;

    @Schema(description = "异动用户数量", requiredMode = Schema.RequiredMode.REQUIRED, example = "27243")
    @ExcelProperty("异动用户数量")
    private Integer errorUsersCount;

    @Schema(description = "异动消费分总额")
    @ExcelProperty("异动消费分总额")
    private Long errorConsumptionPointsTotal;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}