package cn.newfeifan.mall.module.distri.controller.admin.consumptionerroruser.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 消费分异动用户新增/修改 Request VO")
@Data
@Builder
public class ConsumptionErrorUserSaveReqVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "25118")
    private Long id;

    @Schema(description = "异动日志编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "10657")
    @NotNull(message = "异动日志编号不能为空")
    private Long consumptionErrorLogId;

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "25907")
    @NotNull(message = "用户编号不能为空")
    private Long userId;

    @Schema(description = "用户名", example = "张三")
    private String userName;

    @Schema(description = "累加消费分总额")
    private Long consumptionPointsTotal;

    @Schema(description = "目前消费分总额")
    private Long nowConsumptionPointsTotal;

    @Schema(description = "可用消费分")
    private Long currentConsumptionPointsTotal;

    @Schema(description = "已用消费分")
    private Long usedConsumptionPointsTotal;

    @Schema(description = "已转让消费分")
    private Long transferConsumptionPointsTotal;

    @Schema(description = "异动消费分差额")
    private Long errorConsumptionPointsTotal;

}