package cn.newfeifan.mall.module.distri.controller.admin.ptsettlement.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Builder;
import lombok.Data;

@Schema(description = "管理后台 - 转账模板导出，Response VO")
@Data
@ExcelIgnoreUnannotated
@Builder
public class TransferTemplateRespVO {

    @Schema(description = "收款人名称", example = "李四")
    @ExcelProperty("收款人名称")
    private String payeeName;

    @Schema(description = "收款方账号", example = "888888888")
    @ExcelProperty("收款方账号")
    private String payeeAccount;

    @Schema(description = "收款方开户行名称", example = "xx银行股份有限公司xx分行xx支行")
    @ExcelProperty("收款方开户行名称")
    private String payeeBankName;

    @Schema(description = "收款行联行号", example = "323331000001")
    @ExcelProperty("收款行联行号")
    private String payeeBankAccount;

    @Schema(description = "金额", example = "88.88")
    @ExcelProperty("金额")
    private String money;

    @Schema(description = "附言/用途", example = "转账")
    @ExcelProperty("附言/用途")
    private String mark;



}
