package cn.newfeifan.mall.module.distri.controller.admin.shopsettlement.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import javax.validation.constraints.*;
import java.math.BigDecimal;

@Schema(description = "管理后台 - 订单结算信息表，记录店铺的结算信息新增/修改 Request VO")
@Data
public class ShopSettlementSaveReqVO {

    @Schema(description = "结算id", requiredMode = Schema.RequiredMode.REQUIRED, example = "27950")
    private Long id;

    @Schema(description = "店铺id", requiredMode = Schema.RequiredMode.REQUIRED, example = "14984")
    @NotNull(message = "店铺id不能为空")
    private Long shopId;

    @Schema(description = "商户id", requiredMode = Schema.RequiredMode.REQUIRED, example = "21578")
    @NotNull(message = "商户id不能为空")
    private Long merchantId;

    @Schema(description = "销售额（积分 + 支付金额）", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "销售额（积分 + 支付金额）不能为空")
    private Integer platformCollectionAmount;

    @Schema(description = "抵扣积分", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "抵扣积分不能为空")
    private Long shopAmount;

    @Schema(description = "共计成本价格(高精度 + 成本)")
    private BigDecimal shopTotalHighAmount;

    @Schema(description = "平台结算ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "3176")
    @NotNull(message = "平台结算ID不能为空")
    private Long ptSettlementId;

    @Schema(description = "转账凭证附件")
    private String attachment;

    @Schema(description = "账户名称", example = "张三")
    private String accountName;

    @Schema(description = "账户号码")
    private String accountNumber;

    @Schema(description = "抵扣消费分", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "抵扣消费分不能为空")
    private Long shopConsumptionPoints;
}