package cn.newfeifan.mall.module.distri.service.consumptionerrorlog;

import javax.validation.*;
import cn.newfeifan.mall.module.distri.controller.admin.consumptionerrorlog.vo.*;
import cn.newfeifan.mall.module.distri.dal.dataobject.consumptionerrorlog.ConsumptionErrorLogDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;

/**
 * 消费分异动日志记录 Service 接口
 *
 * @author 非繁人
 */
public interface ConsumptionErrorLogService {

    /**
     * 创建消费分异动日志记录
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createConsumptionErrorLog(@Valid ConsumptionErrorLogSaveReqVO createReqVO);

    /**
     * 更新消费分异动日志记录
     *
     * @param updateReqVO 更新信息
     */
    void updateConsumptionErrorLog(@Valid ConsumptionErrorLogSaveReqVO updateReqVO);

    /**
     * 删除消费分异动日志记录
     *
     * @param id 编号
     */
    void deleteConsumptionErrorLog(Long id);

    /**
     * 获得消费分异动日志记录
     *
     * @param id 编号
     * @return 消费分异动日志记录
     */
    ConsumptionErrorLogDO getConsumptionErrorLog(Long id);

    /**
     * 获得消费分异动日志记录分页
     *
     * @param pageReqVO 分页查询
     * @return 消费分异动日志记录分页
     */
    PageResult<ConsumptionErrorLogDO> getConsumptionErrorLogPage(ConsumptionErrorLogPageReqVO pageReqVO);

    /**
     * 计算每日消费分异动日志记录
     */
    void calcEveryDayConsumptionPointsErrorLog();

}