package cn.newfeifan.mall.module.trade.dal.dataobject.ordercallbacklogs;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 第三方回调日志 DO
 *
 * @author 非繁人
 */
@TableName("trade_order_callback_logs")
@KeySequence("trade_order_callback_logs_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OrderCallbackLogsDO extends BaseDO {

    /**
     * 回调编号	
     */
    @TableId
    private Integer id;
    /**
     * 订单ID
     */
    private String orderId;
    /**
     * 回调推送参数体
     */
    private String requestParam;
    /**
     * 回调响应体
     */
    private String responseBody;
    /**
     * 回调状态，失败是0，成功是1
     */
    private Boolean status;

}