package cn.newfeifan.mall.sale.service.merchantapply;

import javax.validation.*;

import cn.newfeifan.mall.sale.dal.dataobject.merchantapply.MerchantApplyDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;
import cn.newfeifan.mall.sale.controller.admin.merchantapply.vo.MerchantApplyPageReqVO;
import cn.newfeifan.mall.sale.controller.admin.merchantapply.vo.MerchantApplySaveReqVO;

/**
 * 商户申请 Service 接口
 *
 * @author 非繁人
 */
public interface MerchantApplyService {

    /**
     * 创建商户申请
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createMerchantApply(@Valid MerchantApplySaveReqVO createReqVO);

    /**
     * 更新商户申请
     *
     * @param updateReqVO 更新信息
     */
    void updateMerchantApply(@Valid MerchantApplySaveReqVO updateReqVO);

    /**
     * 删除商户申请
     *
     * @param id 编号
     */
    void deleteMerchantApply(Long id);

    /**
     * 获得商户申请
     *
     * @param id 编号
     * @return 商户申请
     */
    MerchantApplyDO getMerchantApply(Long id);

    /**
     * 获得商户申请分页
     *
     * @param pageReqVO 分页查询
     * @return 商户申请分页
     */
    PageResult<MerchantApplyDO> getMerchantApplyPage(MerchantApplyPageReqVO pageReqVO);

    /**
     * 获得商户申请数量
     * @return 数量
     */
    Integer selectMerchantApplyCount();
}