CREATE TABLE `jpush_message_log` (
                                     `id` bigint NOT NULL AUTO_INCREMENT COMMENT '消息记录ID，自增主键',
                                     `reg_id` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '接收消息用户的appID',
                                     `member_user_id` bigint NOT NULL COMMENT '会员用户ID',
                                     `system_user_id` bigint DEFAULT NULL COMMENT '系统用户ID',
                                     `jpush_params` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci COMMENT '极光消息推送参数',
                                     `object_id` bigint NOT NULL DEFAULT '0' COMMENT '对应的业务对象ID，如订单ID、售后订单ID',
                                     `send_time` datetime DEFAULT NULL COMMENT '发送时间',
                                     `response_result` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci COMMENT '极光返回的消息响应结果',
                                     `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '创建者',
                                     `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                     `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '更新者',
                                     `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                     `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
                                     PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='极光推送记录表';

ALTER TABLE member_user
    ADD COLUMN `language` varchar(20) default null comment '语言';

ALTER TABLE system_users
    ADD COLUMN `language` varchar(20) default null comment '语言';

ALTER TABLE distri_order_percentage
    ADD COLUMN `agent_quota` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '成为代理商所需金额';

ALTER TABLE member_user
    ADD COLUMN `agent` bit(1) DEFAULT b'0' COMMENT '是否是代理商 0：否 1：是';

ALTER TABLE member_user
    ADD COLUMN `visitor` bit(1) DEFAULT b'0' COMMENT '是否是游客 0：否 1：是';

ALTER TABLE trade_order
    ADD COLUMN `user_deleted` bit(1) DEFAULT b'0' COMMENT '用户是否删除';

ALTER TABLE distri_pt_profit
    ADD COLUMN `visitor_earnings` bigint NOT NULL DEFAULT '0' COMMENT '游客收益';